# Uses of Interface
org.eclipse.jdt.core.ILocalVariable

Packages that use ILocalVariable
Package
Description
org.eclipse.jdt.core
The Java model is the set of classes that model the objects associated with creating, editing, and building a Java program.
org.eclipse.jdt.ui
Application programming interfaces for interaction with the Eclipse Java User Interface.
org.eclipse.jdt.ui.refactoring
Application programming interfaces for rename refactorings.

## Uses of ILocalVariable in org.eclipse.jdt.core

Methods in org.eclipse.jdt.core that return ILocalVariable
Modifier and Type
Method
Description
`ILocalVariable[]`
IMethod.`getParameters()`
Returns the parameters of this method.

## Uses of ILocalVariable in org.eclipse.jdt.ui

Methods in org.eclipse.jdt.ui with parameters of type ILocalVariable
Modifier and Type
Method
Description
`static void`
JavaElementLabels.`getLocalVariableLabel(ILocalVariable localVariable, long flags, StringBuffer buf)`
Appends the label for a local variable to a `StringBuffer`.
`static void`
JavaElementLabels.`getLocalVariableLabel(ILocalVariable localVariable, long flags, org.eclipse.jface.viewers.StyledString result)`
Appends the styled label for a local variable to a `StyledString`.

## Uses of ILocalVariable in org.eclipse.jdt.ui.refactoring

Methods in org.eclipse.jdt.ui.refactoring with parameters of type ILocalVariable
Modifier and Type
Method
Description
`static RenameSupport`
RenameSupport.`create(ILocalVariable variable, String newName, int flags)`
Creates a new rename support for the given `ILocalVariable`.